Skip to main content
GET
/
store
/
sellers
/
{id}
/
reviews
List seller reviews
curl --request GET \
  --url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/store/sellers/{id}/reviews \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "success": true,
  "content": {
    "reviews": [
      {
        "rating": 123,
        "review_text": "<string>",
        "name": "<string>",
        "email": "<string>",
        "status": "<string>",
        "is_featured": true,
        "review_date": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z"
      }
    ],
    "reviews_stats": {
      "rating_sum": 123,
      "count": 123
    },
    "pagination": {
      "total_records": 123,
      "total_pages": 123,
      "limit": 123,
      "next_page": 123,
      "previous_page": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Access token

Path Parameters

id
string
required

Seller ID

Response

OK

message
string
success
boolean
content
object